Download many blobs in one framed response (id ‖ u32 len ‖ bytes)
POST
/v1/pouches/{pouchId}/blobs/fetch
const url = 'https://app.skillpouch.net/v1/pouches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/blobs/fetch';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ids":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.skillpouch.net/v1/pouches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/blobs/fetch \ --header 'Content-Type: application/json' \ --data '{ "ids": [ "example" ] }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pouchId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
ids
required
Array<string>
Example generated
{ "ids": [ "example" ]}Responses
Section titled “Responses”Default Response
Media typeapplication/json
Example generated
example